Scrum - Defect #1534

"Error 500" when creating a new task for a specific sprint
2018-01-24 12:39 - Wesllen Queiroz

Status: Resolved

Priority: High

Category: Issues list & form

Target version: Scrum v0.18.2

Source: Testing Blocked: Yes
Detected on version: Scrum v0.18.0 Alone: No
Description

| am dropping into an Internalerror 500 page when creating a new task, of type functionality for specific sprints. Apparently it is
something related to the Scrum plugin, which is even in its latest stable version (0.18).

History

#1 - 2018-02-14 07:54 - jfribn jfribn

Hello
We get a very similar error when updating an existing issue by adding a sprint :

Started PATCH "/issues/9606" for 127.0.0.1 at 2018-02-14 08:49:46 +0100
Processing by IssuesController#update as HTML

Parameters: {"utf8"=>"0", "authenticity_token"=>"...", "form_update_triggered_by"=>"", "issue"=>{"is_private
"=>"Q", "project_id"=>"297", "tracker_id"=>"1", "subject"=>"...", "description"=>"...", "status_id"=>"1", "pri
ority_id"=>"3", "assigned_to_id"=>"", "fixed_version_id"=>"", "parent_issue_id"=>"", "start_date"=>"2017-11-22
", "due_date"=>"", "estimated_hours"=>"0.25", "done_ratio"=>"0", "sprint_id"=>"19", "pending_effort"=>"", "tag
_list"=>"hpoo", "notes"=>"", "private_notes"=>"0", "lock_version"=>"2"}, "was_default_status"=>"1", "time_entr
y"=>{"hours"=>"", "activity_id"=>"", "comments"=>""}, "last_journal_id"=>"26585", "commit"=>"Submit", "prev_is
sue_id"=>"9621", "next_issue_id"=>"9585", "issue_position"=>"23", "issue_count"=>"36", "id"=>"9606"}

Current user: ... (id=9)
Completed 500 Internal Server Error in 115ms (ActiveRecord: 28.8ms)

NoMethodError (undefined method “>' for nil:NilClass):
plugins/scrum/lib/scrum/issue_patch.rb:564:in “block in max_position'
plugins/scrum/lib/scrum/issue_patch.rb:563:in “each'
plugins/scrum/lib/scrum/issue_patch.rb:563:in ‘max_position'
plugins/scrum/lib/scrum/issue_patch.rb:576:in "move_issue_to_the_end_of_the_sprint'
plugins/scrum/lib/scrum/issue_patch.rb:463:in "update_position'
app/models/issue.rb:210:1in “create_or_update'
app/controllers/issues_controller.rb:558:in “block in save_issue_with_child_records'
app/controllers/issues_controller.rb:546:in "“save_issue_with_child_records'
app/controllers/issues_controller.rb:168:in “update'
lib/redmine/sudo_mode.rb:63:in "~ sudo_mode'

We use plugin version 0.18.1

#2 - 2018-02-15 10:57 - Miroslw Burzynski

- File error-log-redmine.txt added

Hello,
We have "Internal error" when updating task (when we moving ticket to backlog).
We use plugin version 0.17.0

#3 - 2018-02-23 10:07 - Shreyas Moolya

Even | am facing the same problem

#4 - 2018-03-14 13:27 - Yann Autissier
Hi,
| got same issue with redmine v3.4.4 and scrum plugin v0.18.1.

Resolved by editing the file plugins/scrum/lib/scrum/issue_patch.rb on line 564 :
replace

max = pbi.position if max.nil? or (pbi.position > max)

by

max = pbi.position if max.nil? or (pbi.position || 0 > max)

Update the line 554 too.
PS. | cannot post a patch as | dont have git access to the repo.
#5 - 2018-03-14 19:19 - Wesllen Queiroz
Greetings Yann Autissier!
Thanks for the contribution. | will make the changes as mentioned and | will come back with the feedback.
Yann Autissier escribié:

Hi,

| got same issue with redmine v3.4.4 and scrum plugin v0.18.1.

Resolved by editing the file plugins/scrum/lib/scrum/issue_patch.rb on line 564 :

replace

[--]

by

(-]

Update the line 554 too.

PS. | cannot post a patch as | dont have git access to the repo.

#6 - 2018-03-15 18:46 - Emilio Gonzalez Montaha

| don't see the point of the proposed change... it seems an error, the only thing that you achieve is to disable the check...

#7 - 2018-03-15 18:50 - Emilio Gonzalez Montaha

By the way, Wesllen GIT access is available for Patreon supporters:

https://www.patreon.com/ociotec

#8 - 2018-03-16 11:11 - Yann Autissier

The error occurs when pbi.position is nil, then (pbi.position > max) throws NoMethodError (undefined method “>' for nil:NilClass) exception.
We should compare min/max with 0 when pbi.position is nil (on a parent task).

Is it better adding parenthesis : ((pbi.position || 0) > max) ?

#9 - 2018-04-10 07:05 - Shreyas Moolya

What happens when we use '||' operator here in this syntax? Does the 'pbi.position’ render 'False' or 'True'?

Because in this case the pbi.position goes blank.

Kindly elaborate what you did here

replace

max = pbi.position if max.nil? or (pbi.position > max)

by

max = pbi.position if max.nil? or (pbi.position || 0 > max)
#10 - 2018-04-21 16:09 - Emilio Gonzalez Montaha
- Blocked changed from No to Yes

- Target version set to Scrum v0.18.2

- Status changed from New to Resolved

- Category set to Issues list & form

#11 - 2018-04-21 16:19 - Emilio Gonzalez Montaiia

Support the plugin development at www.patreon.com/ociotec & gain access to the GIT repo! :)
